Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.data
Class StatisticsAdapter

    java.lang.Object
      de.grogra.pf.data.DatasetAdapterBase
          de.grogra.pf.data.StatisticsAdapter

All Implemented Interfaces:
  org.jfree.data.category.CategoryDataset, org.jfree.data.general.Dataset, org.jfree.data.KeyedValues2D, org.jfree.data.statistics.StatisticalCategoryDataset, org.jfree.data.Values2D

    public final class StatisticsAdapter

extends DatasetAdapterBase
implements org.jfree.data.statistics.StatisticalCategoryDataset

Constructor Summary
`StatisticsAdapter(Dataset ds)`

Method Summary
`int` | `getColumnCount()` Returns the number of columns in the table.
`int` | `getColumnIndex(java.lang.Comparable key)` Returns the column index for a given key.
`java.lang.Comparable` | `getColumnKey(int column)` Returns the column key for a given index.
`java.util.List` | `getColumnKeys()` Returns the column keys.
`java.lang.Number` | `getMeanValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the mean value for an item.
`java.lang.Number` | `getMeanValue(int row, int column)` Returns the mean value for an item.
`int` | `getRowCount()` Returns the number of rows in the table.
`int` | `getRowIndex(java.lang.Comparable key)` Returns the row index for a given key.
`java.lang.Comparable` | `getRowKey(int row)` Returns the row key for a given index.
`java.util.List` | `getRowKeys()` Returns the row keys.
`java.lang.Number` | `getStdDevValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the standard deviation value for an item.
`java.lang.Number` | `getStdDevValue(int row, int column)` Returns the standard deviation value for an item.
`java.lang.Number` | `getValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the value associated with the specified keys.
`java.lang.Number` | `getValue(int row, int column)` Returns a value from the table.

Methods inherited from class de.grogra.pf.data.DatasetAdapterBase
`addChangeListener, getDomainOrder, getGroup, getSeriesCount, getSeriesKey, indexOf, removeChangeListener, setGroup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### StatisticsAdapter

    public StatisticsAdapter(Dataset ds)

Method Detail

### getColumnCount

    public int getColumnCount()

  Description copied from interface: `org.jfree.data.Values2D`
  Returns the number of columns in the table.

  Specified by:
    `getColumnCount` in interface `org.jfree.data.Values2D`
  Returns:
    The column count.

### getColumnIndex

    public int getColumnIndex(java.lang.Comparable key)

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the column index for a given key.

  Specified by:
    `getColumnIndex` in interface `org.jfree.data.KeyedValues2D`
  Parameters:
    `key` - the column key.
  Returns:
    The column index, or `-1` if the key is unrecognised.

### getColumnKey

    public java.lang.Comparable getColumnKey(int column)

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the column key for a given index.

  Specified by:
    `getColumnKey` in interface `org.jfree.data.KeyedValues2D`
  Parameters:
    `column` - the column index (zero-based).
  Returns:
    The column key.

### getColumnKeys

    public java.util.List getColumnKeys()

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the column keys.

  Specified by:
    `getColumnKeys` in interface `org.jfree.data.KeyedValues2D`
  Returns:
    The keys.

### getMeanValue

    public java.lang.Number getMeanValue(java.lang.Comparable rowKey,
                                         java.lang.Comparable columnKey)

  Description copied from interface: `org.jfree.data.statistics.StatisticalCategoryDataset`
  Returns the mean value for an item.

  Specified by:
    `getMeanValue` in interface `org.jfree.data.statistics.StatisticalCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the columnKey.
  Returns:
    The mean value.

### getMeanValue

    public java.lang.Number getMeanValue(int row,
                                         int column)

  Description copied from interface: `org.jfree.data.statistics.StatisticalCategoryDataset`
  Returns the mean value for an item.

  Specified by:
    `getMeanValue` in interface `org.jfree.data.statistics.StatisticalCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The mean value.

### getRowCount

    public int getRowCount()

  Description copied from interface: `org.jfree.data.Values2D`
  Returns the number of rows in the table.

  Specified by:
    `getRowCount` in interface `org.jfree.data.Values2D`
  Returns:
    The row count.

### getRowIndex

    public int getRowIndex(java.lang.Comparable key)

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the row index for a given key.

  Specified by:
    `getRowIndex` in interface `org.jfree.data.KeyedValues2D`
  Parameters:
    `key` - the row key.
  Returns:
    The row index, or `-1` if the key is unrecognised.

### getRowKey

    public java.lang.Comparable getRowKey(int row)

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the row key for a given index.

  Specified by:
    `getRowKey` in interface `org.jfree.data.KeyedValues2D`
  Parameters:
    `row` - the row index (zero-based).
  Returns:
    The row key.

### getRowKeys

    public java.util.List getRowKeys()

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the row keys.

  Specified by:
    `getRowKeys` in interface `org.jfree.data.KeyedValues2D`
  Returns:
    The keys.

### getStdDevValue

    public java.lang.Number getStdDevValue(java.lang.Comparable rowKey,
                                           java.lang.Comparable columnKey)

  Description copied from interface: `org.jfree.data.statistics.StatisticalCategoryDataset`
  Returns the standard deviation value for an item.

  Specified by:
    `getStdDevValue` in interface `org.jfree.data.statistics.StatisticalCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the columnKey.
  Returns:
    The standard deviation.

### getStdDevValue

    public java.lang.Number getStdDevValue(int row,
                                           int column)

  Description copied from interface: `org.jfree.data.statistics.StatisticalCategoryDataset`
  Returns the standard deviation value for an item.

  Specified by:
    `getStdDevValue` in interface `org.jfree.data.statistics.StatisticalCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The standard deviation.

### getValue

    public java.lang.Number getValue(java.lang.Comparable rowKey,
                                     java.lang.Comparable columnKey)

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the value associated with the specified keys.

  Specified by:
    `getValue` in interface `org.jfree.data.KeyedValues2D`
  Parameters:
    `rowKey` - the row key (`null` not permitted).
    `columnKey` - the column key (`null` not permitted).
  Returns:
    The value.

### getValue

    public java.lang.Number getValue(int row,
                                     int column)

  Description copied from interface: `org.jfree.data.Values2D`
  Returns a value from the table.

  Specified by:
    `getValue` in interface `org.jfree.data.Values2D`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The value (possibly `null`).

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD